Package org.optaplanner.core.impl.score.director.drools.testgen.fact

## Class TestGenInlineValue

- java.lang.Object
- - org.optaplanner.core.impl.score.director.drools.testgen.fact.TestGenInlineValue

- All Implemented Interfaces:
    `TestGenFact`

      public class TestGenInlineValue
      extends Object
      implements TestGenFact

  Inline value is a value of a shadow variable. From planning perspective, the value is computed from other variable's value. From TestGen perspective, the value is not part of the working facts that are recorded during initial KIE session insertion. It is an anonymous constant created just for the single KIE session update.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestGenInlineValue​(Object value, Map<Object,​TestGenFact> existingInstances)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<TestGenFact>` | `getDependencies()` |
    `List<TestGenFactField>` | `getFields()` |
    `List<Class<?>>` | `getImports()` |
    `Object` | `getInstance()` |
    `void` | `printInitialization​(StringBuilder sb)` |
    `void` | `printSetup​(StringBuilder sb)` |
    `void` | `reset()` |
    `void` | `setUp​(Map<Object,​TestGenFact> existingInstances)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestGenInlineValue

          public TestGenInlineValue​(Object value,
                                    Map<Object,​TestGenFact> existingInstances)

  - ### Method Detail

    - #### setUp

          public void setUp​(Map<Object,​TestGenFact> existingInstances)

      Specified by:
        `setUp` in interface `TestGenFact`

    - #### getInstance

          public Object getInstance()

      Specified by:
        `getInstance` in interface `TestGenFact`

    - #### getFields

          public List<TestGenFactField> getFields()

      Specified by:
        `getFields` in interface `TestGenFact`

    - #### getDependencies

          public List<TestGenFact> getDependencies()

      Specified by:
        `getDependencies` in interface `TestGenFact`

    - #### getImports

          public List<Class<?>> getImports()

      Specified by:
        `getImports` in interface `TestGenFact`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `TestGenFact`

    - #### printInitialization

          public void printInitialization​(StringBuilder sb)

      Specified by:
        `printInitialization` in interface `TestGenFact`

    - #### printSetup

          public void printSetup​(StringBuilder sb)

      Specified by:
        `printSetup` in interface `TestGenFact`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`